=== debian/changelog ===
orocos-kdl (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * Migrate debian/watch to version 5 format
  * New upstream version 1.5.2
    - Fix FTBFS with CMake 4 (Closes: #1113370)
  * Update patches.
    - Obsolete: 0005-Use-system-pybind11-package.patch
  * Bump Standards-Version to 4.7.2
  * Bump CMake policy version in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 09 Oct 2025 15:57:55 +0200
