=== debian/watch ===
Version: 5

Template: Github
Owner: orocos
Project: orocos_kinematics_dynamics
